roar_stream_connect_to(3)

NAME
roar_stream_connect_to - Connects a stream to some listening socket

SYNOPSIS

#include <roaraudio.h>

int roar_stream_connect_to(struct roar_connection * con, struct roar_stream * s, int type, char * host, int port);

DESCRIPTION
This let the sound server connect to some remote end to get it's data for a stream. This is used internaly to open additional streams for roar_simple_new_stream(3).

NOTE: This is not an alternative version of roar_stream_connect(3). You still need to connect the stream to the server via roar_stream_connect(3) before you can use this call.

PARAMETERS

con The connection to the server.

s   The stream to connect.

type, host, port
    Where the stream should be connected to. For a description of all these parameters see roar_socket_listen(3).

NOTES
This call will block untill the server process to connect to has accepted the connection. This makes this call unusable to connect back to us if we are not threaded. For a nonblocking call see roar_stream_connect_to_ask(3).

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_simple_new_stream(3), roar_stream_connect(3), roar_socket_listen(3), libroar(7), RoarAudio(7).